//+------------------------------------------------------------------+
extern int     TimeFrame = 0;
extern double  PriceTest = 0.0;
extern int     CloseCandleShift=1;// 1:the last candle, 2:two candles ago, etc. pp.

extern bool    AlertAbove  = true,
               AlertBelow  = true,
               EmailAlertAbove=false,
               EmailAlertBelow=false,
               SendPushNotificationAbove=false,
               SendPushNotificationBelow=false,
               PlaySoundAbove=false,
               PlaySoundBelow=false;
extern string  SoundFileAbove="alert.wav",
               SoundFileBelow="alert2.wav";

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
 if (TimeFrame==0) TimeFrame=Period();
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
      string msg;
      static int AlertPrevTime = 0;
      if (Time[0] <= AlertPrevTime) { 
      return;
      }
      double testclose = iClose(NULL,TimeFrame,1);
      
      if(testclose>PriceTest && PriceTest!=0)
       {
        msg=Symbol() + " Price Has Closed Above "+ DoubleToStr(PriceTest,MarketInfo(Symbol(),MODE_DIGITS)) + " On "+ TimeFrame+" Minute Bar";
        if(AlertAbove)Alert(msg);
        if(EmailAlertAbove)SendMail(Symbol() + " Price Close Alert!",msg);
        if(PlaySoundAbove) PlaySound(SoundFileAbove);
        if(SendPushNotificationAbove) SendNotification(msg);
        AlertPrevTime  = Time[0];
       }
         
      if(testclose<PriceTest && PriceTest!=0)
       {
        msg=Symbol() + " Price Has Close Below "+ DoubleToStr(PriceTest,MarketInfo(Symbol(),MODE_DIGITS)) + " On "+ TimeFrame+ " Minute Bar";
        if(AlertBelow)Alert(msg);
        if(EmailAlertBelow)SendMail(Symbol() + " Price Close Alert!",msg);
        if(PlaySoundBelow) PlaySound(SoundFileBelow);
        if(SendPushNotificationBelow) SendNotification(msg);       
        AlertPrevTime  = Time[0];
       }
//----
   return(0);
  }
//+------------------------------------------------------------------+